

/*
Christof Ermer
Regensburg
ChristofErmer@gmail.com
06.06.2017
*/

#ifndef BRAILLE_H
	#define BRAILLE_H	

#define ASCII_NULL 0
// Export an Drucker als BYTE  ( NUR EINE LINE
//JETZT Als RINGBUFFER
#define BRAILLE_RINGBUF_SIZE	32 // 2^N !!!

//RETURNS
// FLAGS
#define BRAILLE_STATUS_NOTHING 			0x00
#define BRAILLE_STATUS_FOUND 			0x01
#define BRAILLE_STATUS_ASCII_UNVALID	0x02
#define BRAILLE_STATUS_NO_DATA_READED	0x04
	#define BRAILLE_STATUS_CLEARDNYAMICS	0x0F
#define BRAILLE_NUMBER_MODE				0x10
#define BRAILLE_STATUS_BUSY 			0x20
#define BRAILLE_STATUS_STR_OVL			0x80
//gu8BrailleStatus_Flags

//RingBuf_Init( &gu8aBrailleStrBuf, gu8aBrailleStr, BRAILLE_LINECHARS_MAX);

extern RINGBUF_TYPE	gsBrailleStrBuf;
extern uint8_t gu8aBrailleStr[]; //NUR BINAER BRAILLE
extern uint8_t gu8BrailleStatus_Flags;
extern uint8_t gu8EncodedBrailleChar;			   
//PROTO
extern void ResetBraille_Buf(void);

extern uint8_t ScanRxStrToBraille(void);


//PROTO

#endif