

#ifndef DEBUG_TOOLS_HEADER
	#define DEBUG_TOOLS_HEADER
/*
Letze Bearbeitung
05.07.2018

Beispiel:
uart_puts( ByteToBin( gu8DS1337_Status )); uart_putc(13);		
Toggle_Bit(2);


 *****************************************
 SOFTWARE MODULE EINSCHALTEN
 Schalte mit // ab, was nicht gebraucht wird.
 *****************************************
*/

#define  SONDER_HARDWARE_USED
#ifdef SONDER_HARDWARE_USED
	#define LCD_LINES_USED
	#define LED_MATRX_USED
	#define I2C_USED
	#define I2C_LCD_USED
#endif

#define TOGGLE_FLAG_USED
#define BYTE_TO_BIN_USED
#define N_BYTE_TO_STR_USED
//#define WORD_TO_BIN_USED
//#define DEBUG_PRINT_USED

// ============================================
// ============================================
// INDIVIDUEL EINSTELLEN
#ifdef TOGGLE_FLAG_USED	
	#define TOGGLE_DIRREG	DDRB
	#define TOGGLE_PORT		PORTB
	#define TOGGLE_BIT		4	// Bit Nr: 0..7
#endif

#ifdef LCD_LINES_USED
	#define LCD_LINE_CHARS	16
extern char gcaLCD_L1[ ];
extern char gcaLCD_L2[ ];
extern void LCD_L1_StrDebug( char* pcStr);
extern void LCD_L2_StrDebug( char* pcStr);
extern void LCD_L1_int_Debug(int iVal);//gu8aLCD_L1
extern void LCD_L2_int_Debug(int iVal);//gu8aLCD_L2
#endif

#ifdef DEBUG_PRINT_USED
extern void DebugPrint( char* pStr, uint8_t uiNN );
#endif

#ifdef BYTE_TO_BIN_USED
extern char * ByteToBin(uint8_t u8Byte);
#endif

#ifdef WORD_TO_BIN_USED
extern char * WordToBin(uint16_t u16Word);
#endif

#ifdef TOGGLE_FLAG_USED
extern void Toggle_Bit(uint8_t u8Cnt);
#endif

#ifdef N_BYTE_TO_STR_USED
	#define WATCHED_DEC_BYTES	17
extern char * BYTES20_ToDecStr(uint8_t* pStr);
#endif

#endif //DEBUG_TOOLS_HEADER