

/*
Christof Ermer
Regensburg
ChristofErmer@gmail.com
0^5.06.201
*/

#ifndef MAIN_HEADER  //Prevents multiple includes
	#define MAIN_HEADER


typedef struct
{
uint16_t u16_EEPROM_Valid;
uint16_t u16PrinterSpeed;
uint16_t u16DisplaySpeed;
}BRL_PARAMTER_TYPE;
#define EEPROM_VALD_VALUE_DEFAULT	0x5AA5	
#define BRAILLE_SPEED_DEFAULT	150	
#define DISPLAY_UPDATE_SPEED_DEFAULT	25	

// *****************************************
//BAUD
// *****************************************
//#define UART_BAUD_RATE	9600	/* 9600 baud */
//#define UART_BAUD_RATE	2400
//#define UART_BAUD_RATE	19200U
//#define UART_#_RATE		38400U
#define UART_BAUD_RATE	115200UL	//UART_BAUD_SELECT_DOUBLE_SPEED


//RUNDUNG
// 16000000 / 256 / 256 = ~244
#define TICK_10SEKUNDEN 2441U
#define TICK_2000MS 488U
#define TICK_1500MS 366U
#define TICK_1000MS 244U
#define TICK_500MS 122U
#define TICK_250MS 61U
#define TICK_100MS 24U
#define TICK_50MS 12U
#define TICK_25MS 6U
#define TICK_10MS 2U


// ***** MEINE DEFINES ******
#define INTERN_LED_DDRB DDRB
#define INTERN_LED_PORTB PORTB
#define LED1_BLINK_BIT	(1<<5)	//PB5 LED an BIT 5


#define TWI_BITS	0x30	
#define TWI_DDRX	DDRC	
#define TWI_PORT	PORTC	

#define PRINTER_SPEED_DEFAULT 244

#define STATUS_TICK_EVENT			0x01
#define STATUS_DISPLAY_TICK_EVENT	0x02
#define STATUS_BRAILLE_TICK_EVENT	0x04
//gu8Status

extern volatile uint32_t gu32_Ticks;
//extern volatile uint8_t gu8Modus;

#endif  //MAIN_HEADER
