


/*
Christof Ermer
Regensburg
ChristofErmer@gmail.com
06.06.201
*/

#ifndef BEFEHLE_HEADER
	#define  BEFEHLE_HEADER
// ....................................................
#define UART_USE_ENABLED
#define USE_UART_ERROR_MSG

#ifdef UART_USE_ENABLED

#define STRMAX 80
#define NUMMAX 20
#define COMMAND_SIZEMAX	32

#define BEFEHL_ID_CHAR '@'		// DAS DANN @@@
#define BEFEHL_ID_STR  '@@@'	// DAS DANN @@@

#define BEFEHL_1_FOUND 			0x02
#define BEFEHL_2_FOUND 			0x04
#define BEFEHL_3_FOUND 			0x08
#define BEFEHL_SEQUENCE_LOCKED	0x40
#define BEFEHL_CLEAR_MASK		0b01001110 // Keinzufall
//gBefehlStatus


// TYPEN DEKLARATION
//const char MCA_DELIMITER_MSG[] PROGMEM	= ",";
typedef struct
	{
	char caCmd[ COMMAND_SIZEMAX + 1];
	int16_t i16CmdVal_1;	//DATENTYP der bergeben werden kann ist 16 BIT unsigend
	int16_t i16CmdVal_2;	//DATENTYP der bergeben werden kann ist 16 BIT unsigend
	//float fCmdVal_2;
	}COMMAND_TYPE;


//GLOBALS
extern COMMAND_TYPE gsCmd;
extern char gcaStr[];
extern char gcaNumStr[];
extern char gcaTriggerCmdStr[];
extern uint8_t gu8BefehlStatus;

//PROTO
extern void CMD_StringReset(void);
extern void SammeleCMDString(char cRx);
extern void CheckOrder(char *pcStrOrder); //von gcaRxRingBuf

#endif //#ifdef UART_USE_ENABLED

#endif // BEFEHLE_HEADER